# ACE_RMCast::Socket Class Reference

`#include <Socket.h>`

Collaboration diagram for ACE_RMCast::Socket:

[legend]
List of all members.

## Public Member Functions

virtual | ~Socket ()
| Socket (ACE_INET_Addr const &a, bool loop=true, Parameters const &params=Parameters())
virtual void | send (void const *buf, size_t s)
virtual ssize_t | recv (void *buf, size_t s)
virtual ssize_t | recv (void *buf, size_t s, ACE_INET_Addr &from)
virtual ssize_t | recv (void *buf, size_t s, ACE_Time_Value const &timeout)
virtual ssize_t | recv (void *buf, size_t s, ACE_Time_Value const &timeout, ACE_INET_Addr &from)
virtual ssize_t | size ()
virtual ssize_t | size (ACE_Time_Value const &timeout)
ACE_HANDLE | get_handle ()

## Private Attributes

ACE_Auto_Ptr< Socket_Impl > | impl_

## Constructor & Destructor Documentation

ACE_RMCast::Socket::~Socket | ( |  | ) | `[virtual]`

ACE_RMCast::Socket::Socket | ( | ACE_INET_Addr const & | a,
|  | bool | loop = `true`,
|  | Parameters const & | params = `Parameters()`
| ) |

## Member Function Documentation

ACE_HANDLE ACE_RMCast::Socket::get_handle | ( |  | ) |

ssize_t ACE_RMCast::Socket::recv | ( | void * | buf,
|  | size_t | s,
|  | ACE_Time_Value const & | timeout,
|  | ACE_INET_Addr & | from
| ) | `[virtual]`

ssize_t ACE_RMCast::Socket::recv | ( | void * | buf,
|  | size_t | s,
|  | ACE_Time_Value const & | timeout
| ) | `[virtual]`

ssize_t ACE_RMCast::Socket::recv | ( | void * | buf,
|  | size_t | s,
|  | ACE_INET_Addr & | from
| ) | `[virtual]`

ssize_t ACE_RMCast::Socket::recv | ( | void * | buf,
|  | size_t | s
| ) | `[virtual]`

void ACE_RMCast::Socket::send | ( | void const * | buf,
|  | size_t | s
| ) | `[virtual]`

ssize_t ACE_RMCast::Socket::size | ( | ACE_Time_Value const & | timeout | ) | `[virtual]`

ssize_t ACE_RMCast::Socket::size | ( |  | ) | `[virtual]`

## Member Data Documentation

ACE_Auto_Ptr<Socket_Impl> ACE_RMCast::Socket::impl_`[private]`

The documentation for this class was generated from the following files:

- Socket.h
- Socket.cpp